(* ::Package:: *)

(* ::Title:: *)
(*Integrands of the form (g Sin[e+f x])^p (a+b Cos[e+f x])^m*)


(* ::Section::Closed:: *)
(*Integrands of the form (g Sin[e+f x])^p (a+b Cos[e+f x])^m when a^2-b^2=0*)


(* ::Subsection::Closed:: *)
(*Integrands of the form Sin[e+f x]^p (a+a Cos[e+f x])^m*)


{Sin[x]^4/(a + a*Cos[x]), x, 3, x/(2*a) - (Cos[x]*Sin[x])/(2*a) - Sin[x]^3/(3*a)}
{Sin[x]^3/(a + a*Cos[x]), x, 2, -(Cos[x]/a) + Cos[x]^2/(2*a)}
{Sin[x]^2/(a + a*Cos[x]), x, 2, x/a - Sin[x]/a}
{Sin[x]^1/(a + a*Cos[x]), x, 2, -(Log[1 + Cos[x]]/a)}
{Sin[x]^0/(a + a*Cos[x]), x, 1, Sin[x]/(a + a*Cos[x])}
{Csc[x]^1/(a + a*Cos[x]), x, 4, -(ArcTanh[Cos[x]]/(2*a)) + 1/(2*(a + a*Cos[x]))}
{Csc[x]^2/(a + a*Cos[x]), x, 3, -((2*Cot[x])/(3*a)) + Csc[x]/(3*(a + a*Cos[x]))}
{Csc[x]^3/(a + a*Cos[x]), x, 4, -((3*ArcTanh[Cos[x]])/(8*a)) - 1/(8*(a - a*Cos[x])) + a/(8*(a + a*Cos[x])^2) + 1/(4*(a + a*Cos[x]))}
{Csc[x]^4/(a + a*Cos[x]), x, 3, -((4*Cot[x])/(5*a)) - (4*Cot[x]^3)/(15*a) + Csc[x]^3/(5*(a + a*Cos[x]))}


{Sin[2*x]/(1 + Cos[2*x]), x, 2, -Log[Cos[x]], (-(1/2))*Log[1 + Cos[2*x]]}
{Sin[2*x]/(1 - Cos[2*x]), x, 2, Log[Sin[x]], (1/2)*Log[1 - Cos[2*x]]}


{Sin[x]/(1 + Cos[x])^2, x, 2, 1/(1 + Cos[x])}
{Sin[x]/(1 - Cos[x])^2, x, 2, -(1/(1 - Cos[x]))}
{Sin[x]^2/(1 + Cos[x])^2, x, 2, -x + (2*Sin[x])/(1 + Cos[x])}
{Sin[x]^2/(1 - Cos[x])^2, x, 2, -x - (2*Sin[x])/(1 - Cos[x])}
{Sin[x]^3/(1 + Cos[x])^2, x, 3, Cos[x] - 2*Log[1 + Cos[x]]}
{Sin[x]^3/(1 - Cos[x])^2, x, 3, Cos[x] + 2*Log[1 - Cos[x]]}


{Sin[x]/(1 + Cos[x])^3, x, 2, 1/(2*(1 + Cos[x])^2)}
{Sin[x]/(1 - Cos[x])^3, x, 2, -(1/(2*(1 - Cos[x])^2))}
{Sin[x]^2/(1 + Cos[x])^3, x, 1, Sin[x]^3/(3*(1 + Cos[x])^3)}
{Sin[x]^2/(1 - Cos[x])^3, x, 1, -(Sin[x]^3/(3*(1 - Cos[x])^3))}
{Sin[x]^3/(1 + Cos[x])^3, x, 3, 2/(1 + Cos[x]) + Log[1 + Cos[x]]}
{Sin[x]^3/(1 - Cos[x])^3, x, 3, -(2/(1 - Cos[x])) - Log[1 - Cos[x]]}


(* ::Subsection:: *)
(*Integrands of the form Sin[e+f x]^p (a+a Cos[e+f x])^(m/2)*)


(* ::Subsection:: *)
(*Integrands of the form (g Sin[e+f x])^(p/2) (a+a Cos[e+f x])^m*)


(* ::Subsection:: *)
(*Integrands of the form (g Sin[e+f x])^(p/2) (a+a Cos[e+f x])^(m/2)*)


(* ::Section::Closed:: *)
(*Integrands of the form (g Sin[e+f x])^p (a+b Cos[e+f x])^m*)


(* ::Subsection::Closed:: *)
(*Integrands of the form Sin[e+f x]^p (a+b Cos[e+f x])^m*)


(* ::Subsubsection:: *)
(*n>0*)


(* ::Subsubsection::Closed:: *)
(*n<0*)


{Sin[x]^4/(a + b*Cos[x]), x, 5, -((a*(2*a^2 - 3*b^2)*x)/(2*b^4)) + (2*(a - b)^(3/2)*(a + b)^(3/2)*ArcTan[(Sqrt[a - b]*Tan[x/2])/Sqrt[a + b]])/b^4 + ((2*(a^2 - b^2) - a*b*Cos[x])*Sin[x])/(2*b^3) - Sin[x]^3/(3*b)}
{Sin[x]^3/(a + b*Cos[x]), x, 3, -((a*Cos[x])/b^2) + Cos[x]^2/(2*b) + ((a^2 - b^2)*Log[a + b*Cos[x]])/b^3}
{Sin[x]^2/(a + b*Cos[x]), x, 4, (a*x)/b^2 - (2*Sqrt[a - b]*Sqrt[a + b]*ArcTan[(Sqrt[a - b]*Tan[x/2])/Sqrt[a + b]])/b^2 - Sin[x]/b}
{Sin[x]^1/(a + b*Cos[x]), x, 2, -(Log[a + b*Cos[x]]/b)}
{Sin[x]^0/(a + b*Cos[x]), x, 2, (2*ArcTan[(Sqrt[a - b]*Tan[x/2])/Sqrt[a + b]])/(Sqrt[a - b]*Sqrt[a + b])}
{Csc[x]^1/(a + b*Cos[x]), x, 6, Log[1 - Cos[x]]/(2*(a + b)) - Log[1 + Cos[x]]/(2*(a - b)) + (b*Log[a + b*Cos[x]])/(a^2 - b^2)}
{Csc[x]^2/(a + b*Cos[x]), x, 4, -((2*b^2*ArcTan[(Sqrt[a - b]*Tan[x/2])/Sqrt[a + b]])/((a - b)^(3/2)*(a + b)^(3/2))) + ((b - a*Cos[x])*Csc[x])/(a^2 - b^2)}
{Csc[x]^3/(a + b*Cos[x]), x, 4, ((b - a*Cos[x])*Csc[x]^2)/(2*(a^2 - b^2)) + ((a + 2*b)*Log[1 - Cos[x]])/(4*(a + b)^2) - ((a - 2*b)*Log[1 + Cos[x]])/(4*(a - b)^2) - (b^3*Log[a + b*Cos[x]])/(a^2 - b^2)^2}
{Csc[x]^4/(a + b*Cos[x]), x, 5, (2*b^4*ArcTan[(Sqrt[a - b]*Tan[x/2])/Sqrt[a + b]])/((a - b)^(5/2)*(a + b)^(5/2)) - ((3*b^3 + a*(2*a^2 - 5*b^2)*Cos[x])*Csc[x])/(3*(a^2 - b^2)^2) + ((b - a*Cos[x])*Csc[x]^3)/(3*(a^2 - b^2))}


(* ::Subsection:: *)
(*Integrands of the form Sin[e+f x]^p (a+b Cos[e+f x])^(m/2)*)


(* ::Subsection::Closed:: *)
(*Integrands of the form (g Sin[e+f x])^(p/2) (a+b Cos[e+f x])^m*)


(* ::Subsubsection::Closed:: *)
(*m>0*)


{(a + b*Cos[c + d*x])*(e*Sin[c + d*x])^(7/2), x, 5, (10*a*e^4*EllipticF[(c - Pi/2 + d*x)/2, 2]*Sqrt[Sin[c + d*x]])/(21*d*Sqrt[e*Sin[c + d*x]]) - (10*a*e^3*Cos[c + d*x]*Sqrt[e*Sin[c + d*x]])/(21*d) - (2*a*e*Cos[c + d*x]*(e*Sin[c + d*x])^(5/2))/(7*d) + (2*b*(e*Sin[c + d*x])^(9/2))/(9*d*e)}
{(a + b*Cos[c + d*x])*(e*Sin[c + d*x])^(5/2), x, 4, (6*a*e^2*EllipticE[(c - Pi/2 + d*x)/2, 2]*Sqrt[e*Sin[c + d*x]])/(5*d*Sqrt[Sin[c + d*x]]) - (2*a*e*Cos[c + d*x]*(e*Sin[c + d*x])^(3/2))/(5*d) + (2*b*(e*Sin[c + d*x])^(7/2))/(7*d*e)}
{(a + b*Cos[c + d*x])*(e*Sin[c + d*x])^(3/2), x, 4, (2*a*e^2*EllipticF[(c - Pi/2 + d*x)/2, 2]*Sqrt[Sin[c + d*x]])/(3*d*Sqrt[e*Sin[c + d*x]]) - (2*a*e*Cos[c + d*x]*Sqrt[e*Sin[c + d*x]])/(3*d) + (2*b*(e*Sin[c + d*x])^(5/2))/(5*d*e)}
{(a + b*Cos[c + d*x])*(e*Sin[c + d*x])^(1/2), x, 3, (2*a*EllipticE[(c - Pi/2 + d*x)/2, 2]*Sqrt[e*Sin[c + d*x]])/(d*Sqrt[Sin[c + d*x]]) + (2*b*(e*Sin[c + d*x])^(3/2))/(3*d*e)}
{(a + b*Cos[c + d*x])/(e*Sin[c + d*x])^(1/2), x, 3, (2*a*EllipticF[(c - Pi/2 + d*x)/2, 2]*Sqrt[Sin[c + d*x]])/(d*Sqrt[e*Sin[c + d*x]]) + (2*b*Sqrt[e*Sin[c + d*x]])/(d*e)}
{(a + b*Cos[c + d*x])/(e*Sin[c + d*x])^(3/2), x, 4, (-2*b)/(d*e*Sqrt[e*Sin[c + d*x]]) - (2*a*Cos[c + d*x])/(d*e*Sqrt[e*Sin[c + d*x]]) - (2*a*EllipticE[(c - Pi/2 + d*x)/2, 2]*Sqrt[e*Sin[c + d*x]])/(d*e^2*Sqrt[Sin[c + d*x]])}
{(a + b*Cos[c + d*x])/(e*Sin[c + d*x])^(5/2), x, 4, (-2*b)/(3*d*e*(e*Sin[c + d*x])^(3/2)) - (2*a*Cos[c + d*x])/(3*d*e*(e*Sin[c + d*x])^(3/2)) + (2*a*EllipticF[(c - Pi/2 + d*x)/2, 2]*Sqrt[Sin[c + d*x]])/(3*d*e^2*Sqrt[e*Sin[c + d*x]])}
{(a + b*Cos[c + d*x])/(e*Sin[c + d*x])^(7/2), x, 5, (-2*b)/(5*d*e*(e*Sin[c + d*x])^(5/2)) - (2*a*Cos[c + d*x])/(5*d*e*(e*Sin[c + d*x])^(5/2)) - (6*a*Cos[c + d*x])/(5*d*e^3*Sqrt[e*Sin[c + d*x]]) - (6*a*EllipticE[(c - Pi/2 + d*x)/2, 2]*Sqrt[e*Sin[c + d*x]])/(5*d*e^4*Sqrt[Sin[c + d*x]])}


{(a + b*Cos[c + d*x])^2*(e*Sin[c + d*x])^(7/2), x, 6, (10*(11*a^2 + 2*b^2)*e^4*EllipticF[(c - Pi/2 + d*x)/2, 2]*Sqrt[Sin[c + d*x]])/(231*d*Sqrt[e*Sin[c + d*x]]) - (10*(11*a^2 + 2*b^2)*e^3*Cos[c + d*x]*Sqrt[e*Sin[c + d*x]])/(231*d) - (2*(11*a^2 + 2*b^2)*e*Cos[c + d*x]*(e*Sin[c + d*x])^(5/2))/(77*d) + (26*a*b*(e*Sin[c + d*x])^(9/2))/(99*d*e) + (2*b*(a + b*Cos[c + d*x])*(e*Sin[c + d*x])^(9/2))/(11*d*e)}
{(a + b*Cos[c + d*x])^2*(e*Sin[c + d*x])^(5/2), x, 5, (2*(9*a^2 + 2*b^2)*e^2*EllipticE[(c - Pi/2 + d*x)/2, 2]*Sqrt[e*Sin[c + d*x]])/(15*d*Sqrt[Sin[c + d*x]]) - (2*(9*a^2 + 2*b^2)*e*Cos[c + d*x]*(e*Sin[c + d*x])^(3/2))/(45*d) + (22*a*b*(e*Sin[c + d*x])^(7/2))/(63*d*e) + (2*b*(a + b*Cos[c + d*x])*(e*Sin[c + d*x])^(7/2))/(9*d*e)}
{(a + b*Cos[c + d*x])^2*(e*Sin[c + d*x])^(3/2), x, 5, (2*(7*a^2 + 2*b^2)*e^2*EllipticF[(c - Pi/2 + d*x)/2, 2]*Sqrt[Sin[c + d*x]])/(21*d*Sqrt[e*Sin[c + d*x]]) - (2*(7*a^2 + 2*b^2)*e*Cos[c + d*x]*Sqrt[e*Sin[c + d*x]])/(21*d) + (18*a*b*(e*Sin[c + d*x])^(5/2))/(35*d*e) + (2*b*(a + b*Cos[c + d*x])*(e*Sin[c + d*x])^(5/2))/(7*d*e)}
{(a + b*Cos[c + d*x])^2*(e*Sin[c + d*x])^(1/2), x, 4, (2*(5*a^2 + 2*b^2)*EllipticE[(c - Pi/2 + d*x)/2, 2]*Sqrt[e*Sin[c + d*x]])/(5*d*Sqrt[Sin[c + d*x]]) + (14*a*b*(e*Sin[c + d*x])^(3/2))/(15*d*e) + (2*b*(a + b*Cos[c + d*x])*(e*Sin[c + d*x])^(3/2))/(5*d*e)}
{(a + b*Cos[c + d*x])^2/(e*Sin[c + d*x])^(1/2), x, 4, (2*(3*a^2 + 2*b^2)*EllipticF[(c - Pi/2 + d*x)/2, 2]*Sqrt[Sin[c + d*x]])/(3*d*Sqrt[e*Sin[c + d*x]]) + (10*a*b*Sqrt[e*Sin[c + d*x]])/(3*d*e) + (2*b*(a + b*Cos[c + d*x])*Sqrt[e*Sin[c + d*x]])/(3*d*e)}
{(a + b*Cos[c + d*x])^2/(e*Sin[c + d*x])^(3/2), x, 4, (-2*(b + a*Cos[c + d*x])*(a + b*Cos[c + d*x]))/(d*e*Sqrt[e*Sin[c + d*x]]) - (2*(a^2 + 2*b^2)*EllipticE[(c - Pi/2 + d*x)/2, 2]*Sqrt[e*Sin[c + d*x]])/(d*e^2*Sqrt[Sin[c + d*x]]) - (2*a*b*(e*Sin[c + d*x])^(3/2))/(d*e^3)}
{(a + b*Cos[c + d*x])^2/(e*Sin[c + d*x])^(5/2), x, 4, (-2*(b + a*Cos[c + d*x])*(a + b*Cos[c + d*x]))/(3*d*e*(e*Sin[c + d*x])^(3/2)) + (2*(a^2 - 2*b^2)*EllipticF[(c - Pi/2 + d*x)/2, 2]*Sqrt[Sin[c + d*x]])/(3*d*e^2*Sqrt[e*Sin[c + d*x]]) - (2*a*b*Sqrt[e*Sin[c + d*x]])/(3*d*e^3)}
{(a + b*Cos[c + d*x])^2/(e*Sin[c + d*x])^(7/2), x, 5, (-2*(b + a*Cos[c + d*x])*(a + b*Cos[c + d*x]))/(5*d*e*(e*Sin[c + d*x])^(5/2)) - (2*a*b)/(5*d*e^3*Sqrt[e*Sin[c + d*x]]) - (2*(3*a^2 - 2*b^2)*Cos[c + d*x])/(5*d*e^3*Sqrt[e*Sin[c + d*x]]) - (2*(3*a^2 - 2*b^2)*EllipticE[(c - Pi/2 + d*x)/2, 2]*Sqrt[e*Sin[c + d*x]])/(5*d*e^4*Sqrt[Sin[c + d*x]])}


{(a + b*Cos[c + d*x])^3*(e*Sin[c + d*x])^(7/2), x, 7, (10*a*(11*a^2 + 6*b^2)*e^4*EllipticF[(1/2)*(c - Pi/2 + d*x), 2]*Sqrt[Sin[c + d*x]])/(231*d*Sqrt[e*Sin[c + d*x]]) - (10*a*(11*a^2 + 6*b^2)*e^3*Cos[c + d*x]*Sqrt[e*Sin[c + d*x]])/(231*d) - (2*a*(11*a^2 + 6*b^2)*e*Cos[c + d*x]*(e*Sin[c + d*x])^(5/2))/(77*d) + (2*b*(177*a^2 + 44*b^2)*(e*Sin[c + d*x])^(9/2))/(1287*d*e) + (34*a*b*(a + b*Cos[c + d*x])*(e*Sin[c + d*x])^(9/2))/(143*d*e) + (2*b*(a + b*Cos[c + d*x])^2*(e*Sin[c + d*x])^(9/2))/(13*d*e)}
{(a + b*Cos[c + d*x])^3*(e*Sin[c + d*x])^(5/2), x, 6, (2*a*(3*a^2 + 2*b^2)*e^2*EllipticE[(1/2)*(c - Pi/2 + d*x), 2]*Sqrt[e*Sin[c + d*x]])/(5*d*Sqrt[Sin[c + d*x]]) - (2*a*(3*a^2 + 2*b^2)*e*Cos[c + d*x]*(e*Sin[c + d*x])^(3/2))/(15*d) + (2*b*(43*a^2 + 12*b^2)*(e*Sin[c + d*x])^(7/2))/(231*d*e) + (10*a*b*(a + b*Cos[c + d*x])*(e*Sin[c + d*x])^(7/2))/(33*d*e) + (2*b*(a + b*Cos[c + d*x])^2*(e*Sin[c + d*x])^(7/2))/(11*d*e)}
{(a + b*Cos[c + d*x])^3*(e*Sin[c + d*x])^(3/2), x, 6, (2*a*(7*a^2 + 6*b^2)*e^2*EllipticF[(1/2)*(c - Pi/2 + d*x), 2]*Sqrt[Sin[c + d*x]])/(21*d*Sqrt[e*Sin[c + d*x]]) - (2*a*(7*a^2 + 6*b^2)*e*Cos[c + d*x]*Sqrt[e*Sin[c + d*x]])/(21*d) + (2*b*(89*a^2 + 28*b^2)*(e*Sin[c + d*x])^(5/2))/(315*d*e) + (26*a*b*(a + b*Cos[c + d*x])*(e*Sin[c + d*x])^(5/2))/(63*d*e) + (2*b*(a + b*Cos[c + d*x])^2*(e*Sin[c + d*x])^(5/2))/(9*d*e)}
{(a + b*Cos[c + d*x])^3*(e*Sin[c + d*x])^(1/2), x, 5, (2*a*(5*a^2 + 6*b^2)*EllipticE[(1/2)*(c - Pi/2 + d*x), 2]*Sqrt[e*Sin[c + d*x]])/(5*d*Sqrt[Sin[c + d*x]]) + (2*b*(57*a^2 + 20*b^2)*(e*Sin[c + d*x])^(3/2))/(105*d*e) + (22*a*b*(a + b*Cos[c + d*x])*(e*Sin[c + d*x])^(3/2))/(35*d*e) + (2*b*(a + b*Cos[c + d*x])^2*(e*Sin[c + d*x])^(3/2))/(7*d*e)}
{(a + b*Cos[c + d*x])^3/(e*Sin[c + d*x])^(1/2), x, 5, (2*a*(a^2 + 2*b^2)*EllipticF[(1/2)*(c - Pi/2 + d*x), 2]*Sqrt[Sin[c + d*x]])/(d*Sqrt[e*Sin[c + d*x]]) + (2*b*(11*a^2 + 4*b^2)*Sqrt[e*Sin[c + d*x]])/(5*d*e) + (6*a*b*(a + b*Cos[c + d*x])*Sqrt[e*Sin[c + d*x]])/(5*d*e) + (2*b*(a + b*Cos[c + d*x])^2*Sqrt[e*Sin[c + d*x]])/(5*d*e)}
{(a + b*Cos[c + d*x])^3/(e*Sin[c + d*x])^(3/2), x, 5, -((2*(b + a*Cos[c + d*x])*(a + b*Cos[c + d*x])^2)/(d*e*Sqrt[e*Sin[c + d*x]])) - (2*a*(a^2 + 6*b^2)*EllipticE[(1/2)*(c - Pi/2 + d*x), 2]*Sqrt[e*Sin[c + d*x]])/(d*e^2*Sqrt[Sin[c + d*x]]) - (2*b*(3*a^2 + 4*b^2)*(e*Sin[c + d*x])^(3/2))/(3*d*e^3) - (2*a*b*(a + b*Cos[c + d*x])*(e*Sin[c + d*x])^(3/2))/(d*e^3)}
{(a + b*Cos[c + d*x])^3/(e*Sin[c + d*x])^(5/2), x, 5, -((2*(b + a*Cos[c + d*x])*(a + b*Cos[c + d*x])^2)/(3*d*e*(e*Sin[c + d*x])^(3/2))) + (2*a*(a^2 - 6*b^2)*EllipticF[(1/2)*(c - Pi/2 + d*x), 2]*Sqrt[Sin[c + d*x]])/(3*d*e^2*Sqrt[e*Sin[c + d*x]]) - (2*b*(a^2 + 4*b^2)*Sqrt[e*Sin[c + d*x]])/(3*d*e^3) - (2*a*b*(a + b*Cos[c + d*x])*Sqrt[e*Sin[c + d*x]])/(3*d*e^3)}
{(a + b*Cos[c + d*x])^3/(e*Sin[c + d*x])^(7/2), x, 5, -((2*(b + a*Cos[c + d*x])*(a + b*Cos[c + d*x])^2)/(5*d*e*(e*Sin[c + d*x])^(5/2))) + (2*(a + b*Cos[c + d*x])*(a*b - (3*a^2 - 4*b^2)*Cos[c + d*x]))/(5*d*e^3*Sqrt[e*Sin[c + d*x]]) - (6*a*(a^2 - 2*b^2)*EllipticE[(1/2)*(c - Pi/2 + d*x), 2]*Sqrt[e*Sin[c + d*x]])/(5*d*e^4*Sqrt[Sin[c + d*x]]) - (2*b*(3*a^2 - 4*b^2)*(e*Sin[c + d*x])^(3/2))/(5*d*e^5)}
{(a + b*Cos[c + d*x])^3/(e*Sin[c + d*x])^(9/2), x, 5, -((2*(b + a*Cos[c + d*x])*(a + b*Cos[c + d*x])^2)/(7*d*e*(e*Sin[c + d*x])^(7/2))) - (2*(a + b*Cos[c + d*x])*(a*b + (5*a^2 - 4*b^2)*Cos[c + d*x]))/(21*d*e^3*(e*Sin[c + d*x])^(3/2)) + (2*a*(5*a^2 - 6*b^2)*EllipticF[(1/2)*(c - Pi/2 + d*x), 2]*Sqrt[Sin[c + d*x]])/(21*d*e^4*Sqrt[e*Sin[c + d*x]]) - (2*b*(5*a^2 - 4*b^2)*Sqrt[e*Sin[c + d*x]])/(21*d*e^5)}


(* ::Subsubsection::Closed:: *)
(*m<0*)


{(e*Sin[c + d*x])^(11/2)/(a + b*Cos[c + d*x]), x, 15, ((-a^2 + b^2)^(9/4)*e^(11/2)*ArcTan[(Sqrt[b]*Sqrt[e*Sin[c + d*x]])/((-a^2 + b^2)^(1/4)*Sqrt[e])])/(b^(11/2)*d) + ((-a^2 + b^2)^(9/4)*e^(11/2)*ArcTanh[(Sqrt[b]*Sqrt[e*Sin[c + d*x]])/((-a^2 + b^2)^(1/4)*Sqrt[e])])/(b^(11/2)*d) + (2*a*(21*a^4 - 49*a^2*b^2 + 33*b^4)*e^6*EllipticF[(c - Pi/2 + d*x)/2, 2]*Sqrt[Sin[c + d*x]])/(21*b^6*d*Sqrt[e*Sin[c + d*x]]) - (a*(a^2 - b^2)^3*e^6*EllipticPi[(2*b)/(b - Sqrt[-a^2 + b^2]), (c - Pi/2 + d*x)/2, 2]*Sqrt[Sin[c + d*x]])/(b^6*(a^2 - b*(b - Sqrt[-a^2 + b^2]))*d*Sqrt[e*Sin[c + d*x]]) - (a*(a^2 - b^2)^3*e^6*EllipticPi[(2*b)/(b + Sqrt[-a^2 + b^2]), (c - Pi/2 + d*x)/2, 2]*Sqrt[Sin[c + d*x]])/(b^6*(a^2 - b*(b + Sqrt[-a^2 + b^2]))*d*Sqrt[e*Sin[c + d*x]]) - (2*e^5*(21*(a^2 - b^2)^2 - a*b*(7*a^2 - 12*b^2)*Cos[c + d*x])*Sqrt[e*Sin[c + d*x]])/(21*b^5*d) + (2*e^3*(7*(a^2 - b^2) - 5*a*b*Cos[c + d*x])*(e*Sin[c + d*x])^(5/2))/(35*b^3*d) - (2*e*(e*Sin[c + d*x])^(9/2))/(9*b*d)}
{(e*Sin[c + d*x])^(9/2)/(a + b*Cos[c + d*x]), x, 14, -(((-a^2 + b^2)^(7/4)*e^(9/2)*ArcTan[(Sqrt[b]*Sqrt[e*Sin[c + d*x]])/((-a^2 + b^2)^(1/4)*Sqrt[e])])/(b^(9/2)*d)) + ((-a^2 + b^2)^(7/4)*e^(9/2)*ArcTanh[(Sqrt[b]*Sqrt[e*Sin[c + d*x]])/((-a^2 + b^2)^(1/4)*Sqrt[e])])/(b^(9/2)*d) + (a*(a^2 - b^2)^2*e^5*EllipticPi[(2*b)/(b - Sqrt[-a^2 + b^2]), (c - Pi/2 + d*x)/2, 2]*Sqrt[Sin[c + d*x]])/(b^5*(b - Sqrt[-a^2 + b^2])*d*Sqrt[e*Sin[c + d*x]]) + (a*(a^2 - b^2)^2*e^5*EllipticPi[(2*b)/(b + Sqrt[-a^2 + b^2]), (c - Pi/2 + d*x)/2, 2]*Sqrt[Sin[c + d*x]])/(b^5*(b + Sqrt[-a^2 + b^2])*d*Sqrt[e*Sin[c + d*x]]) - (2*a*(5*a^2 - 8*b^2)*e^4*EllipticE[(c - Pi/2 + d*x)/2, 2]*Sqrt[e*Sin[c + d*x]])/(5*b^4*d*Sqrt[Sin[c + d*x]]) + (2*e^3*(5*(a^2 - b^2) - 3*a*b*Cos[c + d*x])*(e*Sin[c + d*x])^(3/2))/(15*b^3*d) - (2*e*(e*Sin[c + d*x])^(7/2))/(7*b*d)}
{(e*Sin[c + d*x])^(7/2)/(a + b*Cos[c + d*x]), x, 14, ((-a^2 + b^2)^(5/4)*e^(7/2)*ArcTan[(Sqrt[b]*Sqrt[e*Sin[c + d*x]])/((-a^2 + b^2)^(1/4)*Sqrt[e])])/(b^(7/2)*d) + ((-a^2 + b^2)^(5/4)*e^(7/2)*ArcTanh[(Sqrt[b]*Sqrt[e*Sin[c + d*x]])/((-a^2 + b^2)^(1/4)*Sqrt[e])])/(b^(7/2)*d) - (2*a*(3*a^2 - 4*b^2)*e^4*EllipticF[(c - Pi/2 + d*x)/2, 2]*Sqrt[Sin[c + d*x]])/(3*b^4*d*Sqrt[e*Sin[c + d*x]]) + (a*(a^2 - b^2)^2*e^4*EllipticPi[(2*b)/(b - Sqrt[-a^2 + b^2]), (c - Pi/2 + d*x)/2, 2]*Sqrt[Sin[c + d*x]])/(b^4*(a^2 - b*(b - Sqrt[-a^2 + b^2]))*d*Sqrt[e*Sin[c + d*x]]) + (a*(a^2 - b^2)^2*e^4*EllipticPi[(2*b)/(b + Sqrt[-a^2 + b^2]), (c - Pi/2 + d*x)/2, 2]*Sqrt[Sin[c + d*x]])/(b^4*(a^2 - b*(b + Sqrt[-a^2 + b^2]))*d*Sqrt[e*Sin[c + d*x]]) + (2*e^3*(3*(a^2 - b^2) - a*b*Cos[c + d*x])*Sqrt[e*Sin[c + d*x]])/(3*b^3*d) - (2*e*(e*Sin[c + d*x])^(5/2))/(5*b*d)}
{(e*Sin[c + d*x])^(5/2)/(a + b*Cos[c + d*x]), x, 13, -(((-a^2 + b^2)^(3/4)*e^(5/2)*ArcTan[(Sqrt[b]*Sqrt[e*Sin[c + d*x]])/((-a^2 + b^2)^(1/4)*Sqrt[e])])/(b^(5/2)*d)) + ((-a^2 + b^2)^(3/4)*e^(5/2)*ArcTanh[(Sqrt[b]*Sqrt[e*Sin[c + d*x]])/((-a^2 + b^2)^(1/4)*Sqrt[e])])/(b^(5/2)*d) - (a*(a^2 - b^2)*e^3*EllipticPi[(2*b)/(b - Sqrt[-a^2 + b^2]), (c - Pi/2 + d*x)/2, 2]*Sqrt[Sin[c + d*x]])/(b^3*(b - Sqrt[-a^2 + b^2])*d*Sqrt[e*Sin[c + d*x]]) - (a*(a^2 - b^2)*e^3*EllipticPi[(2*b)/(b + Sqrt[-a^2 + b^2]), (c - Pi/2 + d*x)/2, 2]*Sqrt[Sin[c + d*x]])/(b^3*(b + Sqrt[-a^2 + b^2])*d*Sqrt[e*Sin[c + d*x]]) + (2*a*e^2*EllipticE[(c - Pi/2 + d*x)/2, 2]*Sqrt[e*Sin[c + d*x]])/(b^2*d*Sqrt[Sin[c + d*x]]) - (2*e*(e*Sin[c + d*x])^(3/2))/(3*b*d)}
{(e*Sin[c + d*x])^(3/2)/(a + b*Cos[c + d*x]), x, 13, ((-a^2 + b^2)^(1/4)*e^(3/2)*ArcTan[(Sqrt[b]*Sqrt[e*Sin[c + d*x]])/((-a^2 + b^2)^(1/4)*Sqrt[e])])/(b^(3/2)*d) + ((-a^2 + b^2)^(1/4)*e^(3/2)*ArcTanh[(Sqrt[b]*Sqrt[e*Sin[c + d*x]])/((-a^2 + b^2)^(1/4)*Sqrt[e])])/(b^(3/2)*d) + (2*a*e^2*EllipticF[(c - Pi/2 + d*x)/2, 2]*Sqrt[Sin[c + d*x]])/(b^2*d*Sqrt[e*Sin[c + d*x]]) - (a*(a^2 - b^2)*e^2*EllipticPi[(2*b)/(b - Sqrt[-a^2 + b^2]), (c - Pi/2 + d*x)/2, 2]*Sqrt[Sin[c + d*x]])/(b^2*(a^2 - b*(b - Sqrt[-a^2 + b^2]))*d*Sqrt[e*Sin[c + d*x]]) - (a*(a^2 - b^2)*e^2*EllipticPi[(2*b)/(b + Sqrt[-a^2 + b^2]), (c - Pi/2 + d*x)/2, 2]*Sqrt[Sin[c + d*x]])/(b^2*(a^2 - b*(b + Sqrt[-a^2 + b^2]))*d*Sqrt[e*Sin[c + d*x]]) - (2*e*Sqrt[e*Sin[c + d*x]])/(b*d)}
{(e*Sin[c + d*x])^(1/2)/(a + b*Cos[c + d*x]), x, 9, -((Sqrt[e]*ArcTan[(Sqrt[b]*Sqrt[e*Sin[c + d*x]])/((-a^2 + b^2)^(1/4)*Sqrt[e])])/(Sqrt[b]*(-a^2 + b^2)^(1/4)*d)) + (Sqrt[e]*ArcTanh[(Sqrt[b]*Sqrt[e*Sin[c + d*x]])/((-a^2 + b^2)^(1/4)*Sqrt[e])])/(Sqrt[b]*(-a^2 + b^2)^(1/4)*d) + (a*e*EllipticPi[(2*b)/(b - Sqrt[-a^2 + b^2]), (c - Pi/2 + d*x)/2, 2]*Sqrt[Sin[c + d*x]])/(b*(b - Sqrt[-a^2 + b^2])*d*Sqrt[e*Sin[c + d*x]]) + (a*e*EllipticPi[(2*b)/(b + Sqrt[-a^2 + b^2]), (c - Pi/2 + d*x)/2, 2]*Sqrt[Sin[c + d*x]])/(b*(b + Sqrt[-a^2 + b^2])*d*Sqrt[e*Sin[c + d*x]])}
{1/((a + b*Cos[c + d*x])*(e*Sin[c + d*x])^(1/2)), x, 9, (Sqrt[b]*ArcTan[(Sqrt[b]*Sqrt[e*Sin[c + d*x]])/((-a^2 + b^2)^(1/4)*Sqrt[e])])/((-a^2 + b^2)^(3/4)*d*Sqrt[e]) + (Sqrt[b]*ArcTanh[(Sqrt[b]*Sqrt[e*Sin[c + d*x]])/((-a^2 + b^2)^(1/4)*Sqrt[e])])/((-a^2 + b^2)^(3/4)*d*Sqrt[e]) + (a*EllipticPi[(2*b)/(b - Sqrt[-a^2 + b^2]), (c - Pi/2 + d*x)/2, 2]*Sqrt[Sin[c + d*x]])/((a^2 - b*(b - Sqrt[-a^2 + b^2]))*d*Sqrt[e*Sin[c + d*x]]) + (a*EllipticPi[(2*b)/(b + Sqrt[-a^2 + b^2]), (c - Pi/2 + d*x)/2, 2]*Sqrt[Sin[c + d*x]])/((a^2 - b*(b + Sqrt[-a^2 + b^2]))*d*Sqrt[e*Sin[c + d*x]])}
{1/((a + b*Cos[c + d*x])*(e*Sin[c + d*x])^(3/2)), x, 13, -((b^(3/2)*ArcTan[(Sqrt[b]*Sqrt[e*Sin[c + d*x]])/((-a^2 + b^2)^(1/4)*Sqrt[e])])/((-a^2 + b^2)^(5/4)*d*e^(3/2))) + (b^(3/2)*ArcTanh[(Sqrt[b]*Sqrt[e*Sin[c + d*x]])/((-a^2 + b^2)^(1/4)*Sqrt[e])])/((-a^2 + b^2)^(5/4)*d*e^(3/2)) + (2*(b - a*Cos[c + d*x]))/((a^2 - b^2)*d*e*Sqrt[e*Sin[c + d*x]]) - (a*b*EllipticPi[(2*b)/(b - Sqrt[-a^2 + b^2]), (c - Pi/2 + d*x)/2, 2]*Sqrt[Sin[c + d*x]])/((a^2 - b^2)*(b - Sqrt[-a^2 + b^2])*d*e*Sqrt[e*Sin[c + d*x]]) - (a*b*EllipticPi[(2*b)/(b + Sqrt[-a^2 + b^2]), (c - Pi/2 + d*x)/2, 2]*Sqrt[Sin[c + d*x]])/((a^2 - b^2)*(b + Sqrt[-a^2 + b^2])*d*e*Sqrt[e*Sin[c + d*x]]) - (2*a*EllipticE[(c - Pi/2 + d*x)/2, 2]*Sqrt[e*Sin[c + d*x]])/((a^2 - b^2)*d*e^2*Sqrt[Sin[c + d*x]])}
{1/((a + b*Cos[c + d*x])*(e*Sin[c + d*x])^(5/2)), x, 13, (b^(5/2)*ArcTan[(Sqrt[b]*Sqrt[e*Sin[c + d*x]])/((-a^2 + b^2)^(1/4)*Sqrt[e])])/((-a^2 + b^2)^(7/4)*d*e^(5/2)) + (b^(5/2)*ArcTanh[(Sqrt[b]*Sqrt[e*Sin[c + d*x]])/((-a^2 + b^2)^(1/4)*Sqrt[e])])/((-a^2 + b^2)^(7/4)*d*e^(5/2)) + (2*(b - a*Cos[c + d*x]))/(3*(a^2 - b^2)*d*e*(e*Sin[c + d*x])^(3/2)) + (2*a*EllipticF[(c - Pi/2 + d*x)/2, 2]*Sqrt[Sin[c + d*x]])/(3*(a^2 - b^2)*d*e^2*Sqrt[e*Sin[c + d*x]]) - (a*b^2*EllipticPi[(2*b)/(b - Sqrt[-a^2 + b^2]), (c - Pi/2 + d*x)/2, 2]*Sqrt[Sin[c + d*x]])/((a^2 - b^2)*(a^2 - b*(b - Sqrt[-a^2 + b^2]))*d*e^2*Sqrt[e*Sin[c + d*x]]) - (a*b^2*EllipticPi[(2*b)/(b + Sqrt[-a^2 + b^2]), (c - Pi/2 + d*x)/2, 2]*Sqrt[Sin[c + d*x]])/((a^2 - b^2)*(a^2 - b*(b + Sqrt[-a^2 + b^2]))*d*e^2*Sqrt[e*Sin[c + d*x]])}
{1/((a + b*Cos[c + d*x])*(e*Sin[c + d*x])^(7/2)), x, 14, -((b^(7/2)*ArcTan[(Sqrt[b]*Sqrt[e*Sin[c + d*x]])/((-a^2 + b^2)^(1/4)*Sqrt[e])])/((-a^2 + b^2)^(9/4)*d*e^(7/2))) + (b^(7/2)*ArcTanh[(Sqrt[b]*Sqrt[e*Sin[c + d*x]])/((-a^2 + b^2)^(1/4)*Sqrt[e])])/((-a^2 + b^2)^(9/4)*d*e^(7/2)) + (2*(b - a*Cos[c + d*x]))/(5*(a^2 - b^2)*d*e*(e*Sin[c + d*x])^(5/2)) - (2*(5*b^3 + a*(3*a^2 - 8*b^2)*Cos[c + d*x]))/(5*(a^2 - b^2)^2*d*e^3*Sqrt[e*Sin[c + d*x]]) + (a*b^3*EllipticPi[(2*b)/(b - Sqrt[-a^2 + b^2]), (c - Pi/2 + d*x)/2, 2]*Sqrt[Sin[c + d*x]])/((a^2 - b^2)^2*(b - Sqrt[-a^2 + b^2])*d*e^3*Sqrt[e*Sin[c + d*x]]) + (a*b^3*EllipticPi[(2*b)/(b + Sqrt[-a^2 + b^2]), (c - Pi/2 + d*x)/2, 2]*Sqrt[Sin[c + d*x]])/((a^2 - b^2)^2*(b + Sqrt[-a^2 + b^2])*d*e^3*Sqrt[e*Sin[c + d*x]]) - (2*a*(3*a^2 - 8*b^2)*EllipticE[(c - Pi/2 + d*x)/2, 2]*Sqrt[e*Sin[c + d*x]])/(5*(a^2 - b^2)^2*d*e^4*Sqrt[Sin[c + d*x]])}


{(e*Sin[c + d*x])^(11/2)/(a + b*Cos[c + d*x])^2, x, 15, (9*a*(-a^2 + b^2)^(5/4)*e^(11/2)*ArcTan[(Sqrt[b]*Sqrt[e*Sin[c + d*x]])/((-a^2 + b^2)^(1/4)*Sqrt[e])])/(2*b^(11/2)*d) + (9*a*(-a^2 + b^2)^(5/4)*e^(11/2)*ArcTanh[(Sqrt[b]*Sqrt[e*Sin[c + d*x]])/((-a^2 + b^2)^(1/4)*Sqrt[e])])/(2*b^(11/2)*d) - (3*(21*a^4 - 28*a^2*b^2 + 5*b^4)*e^6*EllipticF[(c - Pi/2 + d*x)/2, 2]*Sqrt[Sin[c + d*x]])/(7*b^6*d*Sqrt[e*Sin[c + d*x]]) + (9*a^2*(a^2 - b^2)^2*e^6*EllipticPi[(2*b)/(b - Sqrt[-a^2 + b^2]), (c - Pi/2 + d*x)/2, 2]*Sqrt[Sin[c + d*x]])/(2*b^6*(a^2 - b*(b - Sqrt[-a^2 + b^2]))*d*Sqrt[e*Sin[c + d*x]]) + (9*a^2*(a^2 - b^2)^2*e^6*EllipticPi[(2*b)/(b + Sqrt[-a^2 + b^2]), (c - Pi/2 + d*x)/2, 2]*Sqrt[Sin[c + d*x]])/(2*b^6*(a^2 - b*(b + Sqrt[-a^2 + b^2]))*d*Sqrt[e*Sin[c + d*x]]) + (3*e^5*(21*a*(a^2 - b^2) - b*(7*a^2 - 5*b^2)*Cos[c + d*x])*Sqrt[e*Sin[c + d*x]])/(7*b^5*d) - (9*e^3*(7*a - 5*b*Cos[c + d*x])*(e*Sin[c + d*x])^(5/2))/(35*b^3*d) + (e*(e*Sin[c + d*x])^(9/2))/(b*d*(a + b*Cos[c + d*x]))}
{(e*Sin[c + d*x])^(9/2)/(a + b*Cos[c + d*x])^2, x, 14, (-7*a*(-a^2 + b^2)^(3/4)*e^(9/2)*ArcTan[(Sqrt[b]*Sqrt[e*Sin[c + d*x]])/((-a^2 + b^2)^(1/4)*Sqrt[e])])/(2*b^(9/2)*d) + (7*a*(-a^2 + b^2)^(3/4)*e^(9/2)*ArcTanh[(Sqrt[b]*Sqrt[e*Sin[c + d*x]])/((-a^2 + b^2)^(1/4)*Sqrt[e])])/(2*b^(9/2)*d) - (7*a^2*(a^2 - b^2)*e^5*EllipticPi[(2*b)/(b - Sqrt[-a^2 + b^2]), (c - Pi/2 + d*x)/2, 2]*Sqrt[Sin[c + d*x]])/(2*b^5*(b - Sqrt[-a^2 + b^2])*d*Sqrt[e*Sin[c + d*x]]) - (7*a^2*(a^2 - b^2)*e^5*EllipticPi[(2*b)/(b + Sqrt[-a^2 + b^2]), (c - Pi/2 + d*x)/2, 2]*Sqrt[Sin[c + d*x]])/(2*b^5*(b + Sqrt[-a^2 + b^2])*d*Sqrt[e*Sin[c + d*x]]) + (7*(5*a^2 - 3*b^2)*e^4*EllipticE[(c - Pi/2 + d*x)/2, 2]*Sqrt[e*Sin[c + d*x]])/(5*b^4*d*Sqrt[Sin[c + d*x]]) - (7*e^3*(5*a - 3*b*Cos[c + d*x])*(e*Sin[c + d*x])^(3/2))/(15*b^3*d) + (e*(e*Sin[c + d*x])^(7/2))/(b*d*(a + b*Cos[c + d*x]))}
{(e*Sin[c + d*x])^(7/2)/(a + b*Cos[c + d*x])^2, x, 14, (5*a*(-a^2 + b^2)^(1/4)*e^(7/2)*ArcTan[(Sqrt[b]*Sqrt[e*Sin[c + d*x]])/((-a^2 + b^2)^(1/4)*Sqrt[e])])/(2*b^(7/2)*d) + (5*a*(-a^2 + b^2)^(1/4)*e^(7/2)*ArcTanh[(Sqrt[b]*Sqrt[e*Sin[c + d*x]])/((-a^2 + b^2)^(1/4)*Sqrt[e])])/(2*b^(7/2)*d) + (5*(3*a^2 - b^2)*e^4*EllipticF[(c - Pi/2 + d*x)/2, 2]*Sqrt[Sin[c + d*x]])/(3*b^4*d*Sqrt[e*Sin[c + d*x]]) - (5*a^2*(a^2 - b^2)*e^4*EllipticPi[(2*b)/(b - Sqrt[-a^2 + b^2]), (c - Pi/2 + d*x)/2, 2]*Sqrt[Sin[c + d*x]])/(2*b^4*(a^2 - b*(b - Sqrt[-a^2 + b^2]))*d*Sqrt[e*Sin[c + d*x]]) - (5*a^2*(a^2 - b^2)*e^4*EllipticPi[(2*b)/(b + Sqrt[-a^2 + b^2]), (c - Pi/2 + d*x)/2, 2]*Sqrt[Sin[c + d*x]])/(2*b^4*(a^2 - b*(b + Sqrt[-a^2 + b^2]))*d*Sqrt[e*Sin[c + d*x]]) - (5*e^3*(3*a - b*Cos[c + d*x])*Sqrt[e*Sin[c + d*x]])/(3*b^3*d) + (e*(e*Sin[c + d*x])^(5/2))/(b*d*(a + b*Cos[c + d*x]))}
{(e*Sin[c + d*x])^(5/2)/(a + b*Cos[c + d*x])^2, x, 13, (-3*a*e^(5/2)*ArcTan[(Sqrt[b]*Sqrt[e*Sin[c + d*x]])/((-a^2 + b^2)^(1/4)*Sqrt[e])])/(2*b^(5/2)*(-a^2 + b^2)^(1/4)*d) + (3*a*e^(5/2)*ArcTanh[(Sqrt[b]*Sqrt[e*Sin[c + d*x]])/((-a^2 + b^2)^(1/4)*Sqrt[e])])/(2*b^(5/2)*(-a^2 + b^2)^(1/4)*d) + (3*a^2*e^3*EllipticPi[(2*b)/(b - Sqrt[-a^2 + b^2]), (c - Pi/2 + d*x)/2, 2]*Sqrt[Sin[c + d*x]])/(2*b^3*(b - Sqrt[-a^2 + b^2])*d*Sqrt[e*Sin[c + d*x]]) + (3*a^2*e^3*EllipticPi[(2*b)/(b + Sqrt[-a^2 + b^2]), (c - Pi/2 + d*x)/2, 2]*Sqrt[Sin[c + d*x]])/(2*b^3*(b + Sqrt[-a^2 + b^2])*d*Sqrt[e*Sin[c + d*x]]) - (3*e^2*EllipticE[(c - Pi/2 + d*x)/2, 2]*Sqrt[e*Sin[c + d*x]])/(b^2*d*Sqrt[Sin[c + d*x]]) + (e*(e*Sin[c + d*x])^(3/2))/(b*d*(a + b*Cos[c + d*x]))}
{(e*Sin[c + d*x])^(3/2)/(a + b*Cos[c + d*x])^2, x, 13, (a*e^(3/2)*ArcTan[(Sqrt[b]*Sqrt[e*Sin[c + d*x]])/((-a^2 + b^2)^(1/4)*Sqrt[e])])/(2*b^(3/2)*(-a^2 + b^2)^(3/4)*d) + (a*e^(3/2)*ArcTanh[(Sqrt[b]*Sqrt[e*Sin[c + d*x]])/((-a^2 + b^2)^(1/4)*Sqrt[e])])/(2*b^(3/2)*(-a^2 + b^2)^(3/4)*d) - (e^2*EllipticF[(c - Pi/2 + d*x)/2, 2]*Sqrt[Sin[c + d*x]])/(b^2*d*Sqrt[e*Sin[c + d*x]]) + (a^2*e^2*EllipticPi[(2*b)/(b - Sqrt[-a^2 + b^2]), (c - Pi/2 + d*x)/2, 2]*Sqrt[Sin[c + d*x]])/(2*b^2*(a^2 - b*(b - Sqrt[-a^2 + b^2]))*d*Sqrt[e*Sin[c + d*x]]) + (a^2*e^2*EllipticPi[(2*b)/(b + Sqrt[-a^2 + b^2]), (c - Pi/2 + d*x)/2, 2]*Sqrt[Sin[c + d*x]])/(2*b^2*(a^2 - b*(b + Sqrt[-a^2 + b^2]))*d*Sqrt[e*Sin[c + d*x]]) + (e*Sqrt[e*Sin[c + d*x]])/(b*d*(a + b*Cos[c + d*x]))}
{(e*Sin[c + d*x])^(1/2)/(a + b*Cos[c + d*x])^2, x, 13, (a*Sqrt[e]*ArcTan[(Sqrt[b]*Sqrt[e*Sin[c + d*x]])/((-a^2 + b^2)^(1/4)*Sqrt[e])])/(2*Sqrt[b]*(-a^2 + b^2)^(5/4)*d) - (a*Sqrt[e]*ArcTanh[(Sqrt[b]*Sqrt[e*Sin[c + d*x]])/((-a^2 + b^2)^(1/4)*Sqrt[e])])/(2*Sqrt[b]*(-a^2 + b^2)^(5/4)*d) + (a^2*e*EllipticPi[(2*b)/(b - Sqrt[-a^2 + b^2]), (c - Pi/2 + d*x)/2, 2]*Sqrt[Sin[c + d*x]])/(2*b*(a^2 - b^2)*(b - Sqrt[-a^2 + b^2])*d*Sqrt[e*Sin[c + d*x]]) + (a^2*e*EllipticPi[(2*b)/(b + Sqrt[-a^2 + b^2]), (c - Pi/2 + d*x)/2, 2]*Sqrt[Sin[c + d*x]])/(2*b*(a^2 - b^2)*(b + Sqrt[-a^2 + b^2])*d*Sqrt[e*Sin[c + d*x]]) + (EllipticE[(c - Pi/2 + d*x)/2, 2]*Sqrt[e*Sin[c + d*x]])/((a^2 - b^2)*d*Sqrt[Sin[c + d*x]]) - (b*(e*Sin[c + d*x])^(3/2))/((a^2 - b^2)*d*e*(a + b*Cos[c + d*x]))}
{1/((a + b*Cos[c + d*x])^2*(e*Sin[c + d*x])^(1/2)), x, 13, (-3*a*Sqrt[b]*ArcTan[(Sqrt[b]*Sqrt[e*Sin[c + d*x]])/((-a^2 + b^2)^(1/4)*Sqrt[e])])/(2*(-a^2 + b^2)^(7/4)*d*Sqrt[e]) - (3*a*Sqrt[b]*ArcTanh[(Sqrt[b]*Sqrt[e*Sin[c + d*x]])/((-a^2 + b^2)^(1/4)*Sqrt[e])])/(2*(-a^2 + b^2)^(7/4)*d*Sqrt[e]) - (EllipticF[(c - Pi/2 + d*x)/2, 2]*Sqrt[Sin[c + d*x]])/((a^2 - b^2)*d*Sqrt[e*Sin[c + d*x]]) + (3*a^2*EllipticPi[(2*b)/(b - Sqrt[-a^2 + b^2]), (c - Pi/2 + d*x)/2, 2]*Sqrt[Sin[c + d*x]])/(2*(a^2 - b^2)*(a^2 - b*(b - Sqrt[-a^2 + b^2]))*d*Sqrt[e*Sin[c + d*x]]) + (3*a^2*EllipticPi[(2*b)/(b + Sqrt[-a^2 + b^2]), (c - Pi/2 + d*x)/2, 2]*Sqrt[Sin[c + d*x]])/(2*(a^2 - b^2)*(a^2 - b*(b + Sqrt[-a^2 + b^2]))*d*Sqrt[e*Sin[c + d*x]]) - (b*Sqrt[e*Sin[c + d*x]])/((a^2 - b^2)*d*e*(a + b*Cos[c + d*x]))}
{1/((a + b*Cos[c + d*x])^2*(e*Sin[c + d*x])^(3/2)), x, 14, (5*a*b^(3/2)*ArcTan[(Sqrt[b]*Sqrt[e*Sin[c + d*x]])/((-a^2 + b^2)^(1/4)*Sqrt[e])])/(2*(-a^2 + b^2)^(9/4)*d*e^(3/2)) - (5*a*b^(3/2)*ArcTanh[(Sqrt[b]*Sqrt[e*Sin[c + d*x]])/((-a^2 + b^2)^(1/4)*Sqrt[e])])/(2*(-a^2 + b^2)^(9/4)*d*e^(3/2)) - b/((a^2 - b^2)*d*e*(a + b*Cos[c + d*x])*Sqrt[e*Sin[c + d*x]]) + (5*a*b - (2*a^2 + 3*b^2)*Cos[c + d*x])/((a^2 - b^2)^2*d*e*Sqrt[e*Sin[c + d*x]]) - (5*a^2*b*EllipticPi[(2*b)/(b - Sqrt[-a^2 + b^2]), (c - Pi/2 + d*x)/2, 2]*Sqrt[Sin[c + d*x]])/(2*(a^2 - b^2)^2*(b - Sqrt[-a^2 + b^2])*d*e*Sqrt[e*Sin[c + d*x]]) - (5*a^2*b*EllipticPi[(2*b)/(b + Sqrt[-a^2 + b^2]), (c - Pi/2 + d*x)/2, 2]*Sqrt[Sin[c + d*x]])/(2*(a^2 - b^2)^2*(b + Sqrt[-a^2 + b^2])*d*e*Sqrt[e*Sin[c + d*x]]) - ((2*a^2 + 3*b^2)*EllipticE[(c - Pi/2 + d*x)/2, 2]*Sqrt[e*Sin[c + d*x]])/((a^2 - b^2)^2*d*e^2*Sqrt[Sin[c + d*x]])}
{1/((a + b*Cos[c + d*x])^2*(e*Sin[c + d*x])^(5/2)), x, 14, (-7*a*b^(5/2)*ArcTan[(Sqrt[b]*Sqrt[e*Sin[c + d*x]])/((-a^2 + b^2)^(1/4)*Sqrt[e])])/(2*(-a^2 + b^2)^(11/4)*d*e^(5/2)) - (7*a*b^(5/2)*ArcTanh[(Sqrt[b]*Sqrt[e*Sin[c + d*x]])/((-a^2 + b^2)^(1/4)*Sqrt[e])])/(2*(-a^2 + b^2)^(11/4)*d*e^(5/2)) - b/((a^2 - b^2)*d*e*(a + b*Cos[c + d*x])*(e*Sin[c + d*x])^(3/2)) + (7*a*b - (2*a^2 + 5*b^2)*Cos[c + d*x])/(3*(a^2 - b^2)^2*d*e*(e*Sin[c + d*x])^(3/2)) + ((2*a^2 + 5*b^2)*EllipticF[(c - Pi/2 + d*x)/2, 2]*Sqrt[Sin[c + d*x]])/(3*(a^2 - b^2)^2*d*e^2*Sqrt[e*Sin[c + d*x]]) - (7*a^2*b^2*EllipticPi[(2*b)/(b - Sqrt[-a^2 + b^2]), (c - Pi/2 + d*x)/2, 2]*Sqrt[Sin[c + d*x]])/(2*(a^2 - b^2)^2*(a^2 - b*(b - Sqrt[-a^2 + b^2]))*d*e^2*Sqrt[e*Sin[c + d*x]]) - (7*a^2*b^2*EllipticPi[(2*b)/(b + Sqrt[-a^2 + b^2]), (c - Pi/2 + d*x)/2, 2]*Sqrt[Sin[c + d*x]])/(2*(a^2 - b^2)^2*(a^2 - b*(b + Sqrt[-a^2 + b^2]))*d*e^2*Sqrt[e*Sin[c + d*x]])}
{1/((a + b*Cos[c + d*x])^2*(e*Sin[c + d*x])^(7/2)), x, 15, (9*a*b^(7/2)*ArcTan[(Sqrt[b]*Sqrt[e*Sin[c + d*x]])/((-a^2 + b^2)^(1/4)*Sqrt[e])])/(2*(-a^2 + b^2)^(13/4)*d*e^(7/2)) - (9*a*b^(7/2)*ArcTanh[(Sqrt[b]*Sqrt[e*Sin[c + d*x]])/((-a^2 + b^2)^(1/4)*Sqrt[e])])/(2*(-a^2 + b^2)^(13/4)*d*e^(7/2)) - b/((a^2 - b^2)*d*e*(a + b*Cos[c + d*x])*(e*Sin[c + d*x])^(5/2)) + (9*a*b - (2*a^2 + 7*b^2)*Cos[c + d*x])/(5*(a^2 - b^2)^2*d*e*(e*Sin[c + d*x])^(5/2)) - (3*(15*a*b^3 + (2*a^4 - 10*a^2*b^2 - 7*b^4)*Cos[c + d*x]))/(5*(a^2 - b^2)^3*d*e^3*Sqrt[e*Sin[c + d*x]]) + (9*a^2*b^3*EllipticPi[(2*b)/(b - Sqrt[-a^2 + b^2]), (c - Pi/2 + d*x)/2, 2]*Sqrt[Sin[c + d*x]])/(2*(a^2 - b^2)^3*(b - Sqrt[-a^2 + b^2])*d*e^3*Sqrt[e*Sin[c + d*x]]) + (9*a^2*b^3*EllipticPi[(2*b)/(b + Sqrt[-a^2 + b^2]), (c - Pi/2 + d*x)/2, 2]*Sqrt[Sin[c + d*x]])/(2*(a^2 - b^2)^3*(b + Sqrt[-a^2 + b^2])*d*e^3*Sqrt[e*Sin[c + d*x]]) - (3*(2*a^4 - 10*a^2*b^2 - 7*b^4)*EllipticE[(c - Pi/2 + d*x)/2, 2]*Sqrt[e*Sin[c + d*x]])/(5*(a^2 - b^2)^3*d*e^4*Sqrt[Sin[c + d*x]])}


{(e*Sin[c + d*x])^(13/2)/(a + b*Cos[c + d*x])^3, x, 15, (11*(9*a^4 - 11*a^2*b^2 + 2*b^4)*e^(13/2)*ArcTan[(Sqrt[b]*Sqrt[e*Sin[c + d*x]])/((-a^2 + b^2)^(1/4)*Sqrt[e])])/(8*b^(13/2)*(-a^2 + b^2)^(1/4)*d) - (11*(9*a^4 - 11*a^2*b^2 + 2*b^4)*e^(13/2)*ArcTanh[(Sqrt[b]*Sqrt[e*Sin[c + d*x]])/((-a^2 + b^2)^(1/4)*Sqrt[e])])/(8*b^(13/2)*(-a^2 + b^2)^(1/4)*d) - (11*a*(9*a^4 - 11*a^2*b^2 + 2*b^4)*e^7*EllipticPi[(2*b)/(b - Sqrt[-a^2 + b^2]), (c - Pi/2 + d*x)/2, 2]*Sqrt[Sin[c + d*x]])/(8*b^7*(b - Sqrt[-a^2 + b^2])*d*Sqrt[e*Sin[c + d*x]]) - (11*a*(9*a^4 - 11*a^2*b^2 + 2*b^4)*e^7*EllipticPi[(2*b)/(b + Sqrt[-a^2 + b^2]), (c - Pi/2 + d*x)/2, 2]*Sqrt[Sin[c + d*x]])/(8*b^7*(b + Sqrt[-a^2 + b^2])*d*Sqrt[e*Sin[c + d*x]]) + (11*a*(45*a^2 - 37*b^2)*e^6*EllipticE[(c - Pi/2 + d*x)/2, 2]*Sqrt[e*Sin[c + d*x]])/(20*b^6*d*Sqrt[Sin[c + d*x]]) - (11*e^5*(5*(9*a^2 - 2*b^2) - 27*a*b*Cos[c + d*x])*(e*Sin[c + d*x])^(3/2))/(60*b^5*d) + (11*e^3*(9*a + 2*b*Cos[c + d*x])*(e*Sin[c + d*x])^(7/2))/(28*b^3*d*(a + b*Cos[c + d*x])) + (e*(e*Sin[c + d*x])^(11/2))/(2*b*d*(a + b*Cos[c + d*x])^2)}
{(e*Sin[c + d*x])^(11/2)/(a + b*Cos[c + d*x])^3, x, 15, (-9*(7*a^4 - 9*a^2*b^2 + 2*b^4)*e^(11/2)*ArcTan[(Sqrt[b]*Sqrt[e*Sin[c + d*x]])/((-a^2 + b^2)^(1/4)*Sqrt[e])])/(8*b^(11/2)*(-a^2 + b^2)^(3/4)*d) - (9*(7*a^4 - 9*a^2*b^2 + 2*b^4)*e^(11/2)*ArcTanh[(Sqrt[b]*Sqrt[e*Sin[c + d*x]])/((-a^2 + b^2)^(1/4)*Sqrt[e])])/(8*b^(11/2)*(-a^2 + b^2)^(3/4)*d) + (3*a*(21*a^2 - 13*b^2)*e^6*EllipticF[(c - Pi/2 + d*x)/2, 2]*Sqrt[Sin[c + d*x]])/(4*b^6*d*Sqrt[e*Sin[c + d*x]]) - (9*a*(7*a^4 - 9*a^2*b^2 + 2*b^4)*e^6*EllipticPi[(2*b)/(b - Sqrt[-a^2 + b^2]), (c - Pi/2 + d*x)/2, 2]*Sqrt[Sin[c + d*x]])/(8*b^6*(a^2 - b*(b - Sqrt[-a^2 + b^2]))*d*Sqrt[e*Sin[c + d*x]]) - (9*a*(7*a^4 - 9*a^2*b^2 + 2*b^4)*e^6*EllipticPi[(2*b)/(b + Sqrt[-a^2 + b^2]), (c - Pi/2 + d*x)/2, 2]*Sqrt[Sin[c + d*x]])/(8*b^6*(a^2 - b*(b + Sqrt[-a^2 + b^2]))*d*Sqrt[e*Sin[c + d*x]]) - (3*e^5*(3*(7*a^2 - 2*b^2) - 7*a*b*Cos[c + d*x])*Sqrt[e*Sin[c + d*x]])/(4*b^5*d) + (9*e^3*(7*a + 2*b*Cos[c + d*x])*(e*Sin[c + d*x])^(5/2))/(20*b^3*d*(a + b*Cos[c + d*x])) + (e*(e*Sin[c + d*x])^(9/2))/(2*b*d*(a + b*Cos[c + d*x])^2)}
{(e*Sin[c + d*x])^(9/2)/(a + b*Cos[c + d*x])^3, x, 14, (-7*(5*a^2 - 2*b^2)*e^(9/2)*ArcTan[(Sqrt[b]*Sqrt[e*Sin[c + d*x]])/((-a^2 + b^2)^(1/4)*Sqrt[e])])/(8*b^(9/2)*(-a^2 + b^2)^(1/4)*d) + (7*(5*a^2 - 2*b^2)*e^(9/2)*ArcTanh[(Sqrt[b]*Sqrt[e*Sin[c + d*x]])/((-a^2 + b^2)^(1/4)*Sqrt[e])])/(8*b^(9/2)*(-a^2 + b^2)^(1/4)*d) + (7*a*(5*a^2 - 2*b^2)*e^5*EllipticPi[(2*b)/(b - Sqrt[-a^2 + b^2]), (c - Pi/2 + d*x)/2, 2]*Sqrt[Sin[c + d*x]])/(8*b^5*(b - Sqrt[-a^2 + b^2])*d*Sqrt[e*Sin[c + d*x]]) + (7*a*(5*a^2 - 2*b^2)*e^5*EllipticPi[(2*b)/(b + Sqrt[-a^2 + b^2]), (c - Pi/2 + d*x)/2, 2]*Sqrt[Sin[c + d*x]])/(8*b^5*(b + Sqrt[-a^2 + b^2])*d*Sqrt[e*Sin[c + d*x]]) - (35*a*e^4*EllipticE[(c - Pi/2 + d*x)/2, 2]*Sqrt[e*Sin[c + d*x]])/(4*b^4*d*Sqrt[Sin[c + d*x]]) + (7*e^3*(5*a + 2*b*Cos[c + d*x])*(e*Sin[c + d*x])^(3/2))/(12*b^3*d*(a + b*Cos[c + d*x])) + (e*(e*Sin[c + d*x])^(7/2))/(2*b*d*(a + b*Cos[c + d*x])^2)}
{(e*Sin[c + d*x])^(7/2)/(a + b*Cos[c + d*x])^3, x, 14, (5*(3*a^2 - 2*b^2)*e^(7/2)*ArcTan[(Sqrt[b]*Sqrt[e*Sin[c + d*x]])/((-a^2 + b^2)^(1/4)*Sqrt[e])])/(8*b^(7/2)*(-a^2 + b^2)^(3/4)*d) + (5*(3*a^2 - 2*b^2)*e^(7/2)*ArcTanh[(Sqrt[b]*Sqrt[e*Sin[c + d*x]])/((-a^2 + b^2)^(1/4)*Sqrt[e])])/(8*b^(7/2)*(-a^2 + b^2)^(3/4)*d) - (15*a*e^4*EllipticF[(c - Pi/2 + d*x)/2, 2]*Sqrt[Sin[c + d*x]])/(4*b^4*d*Sqrt[e*Sin[c + d*x]]) + (5*a*(3*a^2 - 2*b^2)*e^4*EllipticPi[(2*b)/(b - Sqrt[-a^2 + b^2]), (c - Pi/2 + d*x)/2, 2]*Sqrt[Sin[c + d*x]])/(8*b^4*(a^2 - b*(b - Sqrt[-a^2 + b^2]))*d*Sqrt[e*Sin[c + d*x]]) + (5*a*(3*a^2 - 2*b^2)*e^4*EllipticPi[(2*b)/(b + Sqrt[-a^2 + b^2]), (c - Pi/2 + d*x)/2, 2]*Sqrt[Sin[c + d*x]])/(8*b^4*(a^2 - b*(b + Sqrt[-a^2 + b^2]))*d*Sqrt[e*Sin[c + d*x]]) + (5*e^3*(3*a + 2*b*Cos[c + d*x])*Sqrt[e*Sin[c + d*x]])/(4*b^3*d*(a + b*Cos[c + d*x])) + (e*(e*Sin[c + d*x])^(5/2))/(2*b*d*(a + b*Cos[c + d*x])^2)}
{(e*Sin[c + d*x])^(5/2)/(a + b*Cos[c + d*x])^3, x, 14, (-3*(a^2 - 2*b^2)*e^(5/2)*ArcTan[(Sqrt[b]*Sqrt[e*Sin[c + d*x]])/((-a^2 + b^2)^(1/4)*Sqrt[e])])/(8*b^(5/2)*(-a^2 + b^2)^(5/4)*d) + (3*(a^2 - 2*b^2)*e^(5/2)*ArcTanh[(Sqrt[b]*Sqrt[e*Sin[c + d*x]])/((-a^2 + b^2)^(1/4)*Sqrt[e])])/(8*b^(5/2)*(-a^2 + b^2)^(5/4)*d) - (3*a*(a^2 - 2*b^2)*e^3*EllipticPi[(2*b)/(b - Sqrt[-a^2 + b^2]), (c - Pi/2 + d*x)/2, 2]*Sqrt[Sin[c + d*x]])/(8*b^3*(a^2 - b^2)*(b - Sqrt[-a^2 + b^2])*d*Sqrt[e*Sin[c + d*x]]) - (3*a*(a^2 - 2*b^2)*e^3*EllipticPi[(2*b)/(b + Sqrt[-a^2 + b^2]), (c - Pi/2 + d*x)/2, 2]*Sqrt[Sin[c + d*x]])/(8*b^3*(a^2 - b^2)*(b + Sqrt[-a^2 + b^2])*d*Sqrt[e*Sin[c + d*x]]) + (3*a*e^2*EllipticE[(c - Pi/2 + d*x)/2, 2]*Sqrt[e*Sin[c + d*x]])/(4*b^2*(a^2 - b^2)*d*Sqrt[Sin[c + d*x]]) + (e*(e*Sin[c + d*x])^(3/2))/(2*b*d*(a + b*Cos[c + d*x])^2) - (3*a*e*(e*Sin[c + d*x])^(3/2))/(4*b*(a^2 - b^2)*d*(a + b*Cos[c + d*x]))}
{(e*Sin[c + d*x])^(3/2)/(a + b*Cos[c + d*x])^3, x, 14, -((a^2 + 2*b^2)*e^(3/2)*ArcTan[(Sqrt[b]*Sqrt[e*Sin[c + d*x]])/((-a^2 + b^2)^(1/4)*Sqrt[e])])/(8*b^(3/2)*(-a^2 + b^2)^(7/4)*d) - ((a^2 + 2*b^2)*e^(3/2)*ArcTanh[(Sqrt[b]*Sqrt[e*Sin[c + d*x]])/((-a^2 + b^2)^(1/4)*Sqrt[e])])/(8*b^(3/2)*(-a^2 + b^2)^(7/4)*d) - (a*e^2*EllipticF[(c - Pi/2 + d*x)/2, 2]*Sqrt[Sin[c + d*x]])/(4*b^2*(a^2 - b^2)*d*Sqrt[e*Sin[c + d*x]]) + (a*(a^2 + 2*b^2)*e^2*EllipticPi[(2*b)/(b - Sqrt[-a^2 + b^2]), (c - Pi/2 + d*x)/2, 2]*Sqrt[Sin[c + d*x]])/(8*b^2*(a^2 - b^2)*(a^2 - b*(b - Sqrt[-a^2 + b^2]))*d*Sqrt[e*Sin[c + d*x]]) + (a*(a^2 + 2*b^2)*e^2*EllipticPi[(2*b)/(b + Sqrt[-a^2 + b^2]), (c - Pi/2 + d*x)/2, 2]*Sqrt[Sin[c + d*x]])/(8*b^2*(a^2 - b^2)*(a^2 - b*(b + Sqrt[-a^2 + b^2]))*d*Sqrt[e*Sin[c + d*x]]) + (e*Sqrt[e*Sin[c + d*x]])/(2*b*d*(a + b*Cos[c + d*x])^2) - (a*e*Sqrt[e*Sin[c + d*x]])/(4*b*(a^2 - b^2)*d*(a + b*Cos[c + d*x]))}
{(e*Sin[c + d*x])^(1/2)/(a + b*Cos[c + d*x])^3, x, 14, -((3*a^2 + 2*b^2)*Sqrt[e]*ArcTan[(Sqrt[b]*Sqrt[e*Sin[c + d*x]])/((-a^2 + b^2)^(1/4)*Sqrt[e])])/(8*Sqrt[b]*(-a^2 + b^2)^(9/4)*d) + ((3*a^2 + 2*b^2)*Sqrt[e]*ArcTanh[(Sqrt[b]*Sqrt[e*Sin[c + d*x]])/((-a^2 + b^2)^(1/4)*Sqrt[e])])/(8*Sqrt[b]*(-a^2 + b^2)^(9/4)*d) + (a*(3*a^2 + 2*b^2)*e*EllipticPi[(2*b)/(b - Sqrt[-a^2 + b^2]), (c - Pi/2 + d*x)/2, 2]*Sqrt[Sin[c + d*x]])/(8*b*(a^2 - b^2)^2*(b - Sqrt[-a^2 + b^2])*d*Sqrt[e*Sin[c + d*x]]) + (a*(3*a^2 + 2*b^2)*e*EllipticPi[(2*b)/(b + Sqrt[-a^2 + b^2]), (c - Pi/2 + d*x)/2, 2]*Sqrt[Sin[c + d*x]])/(8*b*(a^2 - b^2)^2*(b + Sqrt[-a^2 + b^2])*d*Sqrt[e*Sin[c + d*x]]) + (5*a*EllipticE[(c - Pi/2 + d*x)/2, 2]*Sqrt[e*Sin[c + d*x]])/(4*(a^2 - b^2)^2*d*Sqrt[Sin[c + d*x]]) - (b*(e*Sin[c + d*x])^(3/2))/(2*(a^2 - b^2)*d*e*(a + b*Cos[c + d*x])^2) - (5*a*b*(e*Sin[c + d*x])^(3/2))/(4*(a^2 - b^2)^2*d*e*(a + b*Cos[c + d*x]))}
{1/((a + b*Cos[c + d*x])^3*(e*Sin[c + d*x])^(1/2)), x, 14, (3*Sqrt[b]*(5*a^2 + 2*b^2)*ArcTan[(Sqrt[b]*Sqrt[e*Sin[c + d*x]])/((-a^2 + b^2)^(1/4)*Sqrt[e])])/(8*(-a^2 + b^2)^(11/4)*d*Sqrt[e]) + (3*Sqrt[b]*(5*a^2 + 2*b^2)*ArcTanh[(Sqrt[b]*Sqrt[e*Sin[c + d*x]])/((-a^2 + b^2)^(1/4)*Sqrt[e])])/(8*(-a^2 + b^2)^(11/4)*d*Sqrt[e]) - (7*a*EllipticF[(c - Pi/2 + d*x)/2, 2]*Sqrt[Sin[c + d*x]])/(4*(a^2 - b^2)^2*d*Sqrt[e*Sin[c + d*x]]) + (3*a*(5*a^2 + 2*b^2)*EllipticPi[(2*b)/(b - Sqrt[-a^2 + b^2]), (c - Pi/2 + d*x)/2, 2]*Sqrt[Sin[c + d*x]])/(8*(a^2 - b^2)^2*(a^2 - b*(b - Sqrt[-a^2 + b^2]))*d*Sqrt[e*Sin[c + d*x]]) + (3*a*(5*a^2 + 2*b^2)*EllipticPi[(2*b)/(b + Sqrt[-a^2 + b^2]), (c - Pi/2 + d*x)/2, 2]*Sqrt[Sin[c + d*x]])/(8*(a^2 - b^2)^2*(a^2 - b*(b + Sqrt[-a^2 + b^2]))*d*Sqrt[e*Sin[c + d*x]]) - (b*Sqrt[e*Sin[c + d*x]])/(2*(a^2 - b^2)*d*e*(a + b*Cos[c + d*x])^2) - (7*a*b*Sqrt[e*Sin[c + d*x]])/(4*(a^2 - b^2)^2*d*e*(a + b*Cos[c + d*x]))}
{1/((a + b*Cos[c + d*x])^3*(e*Sin[c + d*x])^(3/2)), x, 15, (-5*b^(3/2)*(7*a^2 + 2*b^2)*ArcTan[(Sqrt[b]*Sqrt[e*Sin[c + d*x]])/((-a^2 + b^2)^(1/4)*Sqrt[e])])/(8*(-a^2 + b^2)^(13/4)*d*e^(3/2)) + (5*b^(3/2)*(7*a^2 + 2*b^2)*ArcTanh[(Sqrt[b]*Sqrt[e*Sin[c + d*x]])/((-a^2 + b^2)^(1/4)*Sqrt[e])])/(8*(-a^2 + b^2)^(13/4)*d*e^(3/2)) - b/(2*(a^2 - b^2)*d*e*(a + b*Cos[c + d*x])^2*Sqrt[e*Sin[c + d*x]]) - (9*a*b)/(4*(a^2 - b^2)^2*d*e*(a + b*Cos[c + d*x])*Sqrt[e*Sin[c + d*x]]) + (5*b*(7*a^2 + 2*b^2) - a*(8*a^2 + 37*b^2)*Cos[c + d*x])/(4*(a^2 - b^2)^3*d*e*Sqrt[e*Sin[c + d*x]]) - (5*a*b*(7*a^2 + 2*b^2)*EllipticPi[(2*b)/(b - Sqrt[-a^2 + b^2]), (c - Pi/2 + d*x)/2, 2]*Sqrt[Sin[c + d*x]])/(8*(a^2 - b^2)^3*(b - Sqrt[-a^2 + b^2])*d*e*Sqrt[e*Sin[c + d*x]]) - (5*a*b*(7*a^2 + 2*b^2)*EllipticPi[(2*b)/(b + Sqrt[-a^2 + b^2]), (c - Pi/2 + d*x)/2, 2]*Sqrt[Sin[c + d*x]])/(8*(a^2 - b^2)^3*(b + Sqrt[-a^2 + b^2])*d*e*Sqrt[e*Sin[c + d*x]]) - (a*(8*a^2 + 37*b^2)*EllipticE[(c - Pi/2 + d*x)/2, 2]*Sqrt[e*Sin[c + d*x]])/(4*(a^2 - b^2)^3*d*e^2*Sqrt[Sin[c + d*x]])}
{1/((a + b*Cos[c + d*x])^3*(e*Sin[c + d*x])^(5/2)), x, 15, (7*b^(5/2)*(9*a^2 + 2*b^2)*ArcTan[(Sqrt[b]*Sqrt[e*Sin[c + d*x]])/((-a^2 + b^2)^(1/4)*Sqrt[e])])/(8*(-a^2 + b^2)^(15/4)*d*e^(5/2)) + (7*b^(5/2)*(9*a^2 + 2*b^2)*ArcTanh[(Sqrt[b]*Sqrt[e*Sin[c + d*x]])/((-a^2 + b^2)^(1/4)*Sqrt[e])])/(8*(-a^2 + b^2)^(15/4)*d*e^(5/2)) - b/(2*(a^2 - b^2)*d*e*(a + b*Cos[c + d*x])^2*(e*Sin[c + d*x])^(3/2)) - (11*a*b)/(4*(a^2 - b^2)^2*d*e*(a + b*Cos[c + d*x])*(e*Sin[c + d*x])^(3/2)) + (7*b*(9*a^2 + 2*b^2) - a*(8*a^2 + 69*b^2)*Cos[c + d*x])/(12*(a^2 - b^2)^3*d*e*(e*Sin[c + d*x])^(3/2)) + (a*(8*a^2 + 69*b^2)*EllipticF[(c - Pi/2 + d*x)/2, 2]*Sqrt[Sin[c + d*x]])/(12*(a^2 - b^2)^3*d*e^2*Sqrt[e*Sin[c + d*x]]) - (7*a*b^2*(9*a^2 + 2*b^2)*EllipticPi[(2*b)/(b - Sqrt[-a^2 + b^2]), (c - Pi/2 + d*x)/2, 2]*Sqrt[Sin[c + d*x]])/(8*(a^2 - b^2)^3*(a^2 - b*(b - Sqrt[-a^2 + b^2]))*d*e^2*Sqrt[e*Sin[c + d*x]]) - (7*a*b^2*(9*a^2 + 2*b^2)*EllipticPi[(2*b)/(b + Sqrt[-a^2 + b^2]), (c - Pi/2 + d*x)/2, 2]*Sqrt[Sin[c + d*x]])/(8*(a^2 - b^2)^3*(a^2 - b*(b + Sqrt[-a^2 + b^2]))*d*e^2*Sqrt[e*Sin[c + d*x]])}
{1/((a + b*Cos[c + d*x])^3*(e*Sin[c + d*x])^(7/2)), x, 16, (-9*b^(7/2)*(11*a^2 + 2*b^2)*ArcTan[(Sqrt[b]*Sqrt[e*Sin[c + d*x]])/((-a^2 + b^2)^(1/4)*Sqrt[e])])/(8*(-a^2 + b^2)^(17/4)*d*e^(7/2)) + (9*b^(7/2)*(11*a^2 + 2*b^2)*ArcTanh[(Sqrt[b]*Sqrt[e*Sin[c + d*x]])/((-a^2 + b^2)^(1/4)*Sqrt[e])])/(8*(-a^2 + b^2)^(17/4)*d*e^(7/2)) - b/(2*(a^2 - b^2)*d*e*(a + b*Cos[c + d*x])^2*(e*Sin[c + d*x])^(5/2)) - (13*a*b)/(4*(a^2 - b^2)^2*d*e*(a + b*Cos[c + d*x])*(e*Sin[c + d*x])^(5/2)) + (9*b*(11*a^2 + 2*b^2) - a*(8*a^2 + 109*b^2)*Cos[c + d*x])/(20*(a^2 - b^2)^3*d*e*(e*Sin[c + d*x])^(5/2)) - (3*(15*b^3*(11*a^2 + 2*b^2) + a*(8*a^4 - 64*a^2*b^2 - 139*b^4)*Cos[c + d*x]))/(20*(a^2 - b^2)^4*d*e^3*Sqrt[e*Sin[c + d*x]]) + (9*a*b^3*(11*a^2 + 2*b^2)*EllipticPi[(2*b)/(b - Sqrt[-a^2 + b^2]), (c - Pi/2 + d*x)/2, 2]*Sqrt[Sin[c + d*x]])/(8*(a^2 - b^2)^4*(b - Sqrt[-a^2 + b^2])*d*e^3*Sqrt[e*Sin[c + d*x]]) + (9*a*b^3*(11*a^2 + 2*b^2)*EllipticPi[(2*b)/(b + Sqrt[-a^2 + b^2]), (c - Pi/2 + d*x)/2, 2]*Sqrt[Sin[c + d*x]])/(8*(a^2 - b^2)^4*(b + Sqrt[-a^2 + b^2])*d*e^3*Sqrt[e*Sin[c + d*x]]) - (3*a*(8*a^4 - 64*a^2*b^2 - 139*b^4)*EllipticE[(c - Pi/2 + d*x)/2, 2]*Sqrt[e*Sin[c + d*x]])/(20*(a^2 - b^2)^4*d*e^4*Sqrt[Sin[c + d*x]])}


(* ::Subsection:: *)
(*Integrands of the form (g Sin[e+f x])^(p/2) (a+b Cos[e+f x])^(m/2)*)


(* ::Title:: *)
(*Integrands of the form (g Csc[e+f x])^p (a+b Cos[e+f x])^m*)


(* ::Section:: *)
(*Integrands of the form (g Csc[e+f x])^p (a+b Cos[e+f x])^m when a^2-b^2=0*)


(* ::Section:: *)
(*Integrands of the form (g Csc[e+f x])^p (a+b Cos[e+f x])^m*)
